# phpDox - Query\Drivers\AbstractUtil::createTable

# Query\Drivers\AbstractUtil::createTable

#### Convenience public function to generate sql for creating a db table

## Signature

`public function createTable(string $name, array $fields, [array $constraints = , [boolean $ifNotExists = TRUE]] )`

## Parameters

`$name` — string
`$fields` — array
`$constraints` — array
`$ifNotExists` — boolean

## Returns

string

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
58 | BooleanArgumentFlag | The method createTable has a boolean flag argument $ifNotExists, which is a certain sign of a Single Responsibility Principle violation.